服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202109-1005

摘要:nodejs漏洞 安全等级:重要 公告ID:KYSA-202109-1005 发布日期:2021-09-03 影响CVE:CVE-2021-22883、CVE-2021-22884

详细介绍

1. 修复的CVE信息

  • CVE-2021-22883

    描述:10.24.0、12.21.0、14.16.0 和 15.10.0 之前的 Node.js 在使用“unknownProtocol”建立过多连接尝试时容易受到拒绝服务攻击。这会导致文件描述符泄漏。如果系统上配置了文件描述符限制,则服务器无法接受新连接并阻止进程打开,例如一份文件。如果没有配置文件描述符限制,那么这会导致内存使用过多并导致系统内存不足。

  • CVE-2021-22884

    描述:10.24.0、12.21.0、14.16.0 和 15.10.0 之前的 Node.js 容易受到 DNS 重新绑定攻击,因为白名单包括“localhost6”。当 /etc/hosts 中不存在“localhost6”时,它只是一个通过 DNS(即通过网络)解析的普通域。如果攻击者控制了受害者的 DNS 服务器或可以欺骗其响应,则可以使用“localhost6”域绕过 DNS 重新绑定保护。只要攻击者使用“localhost6”域,他们仍然可以应用 CVE-2018-7160 中描述的攻击。


2. 影响的操作系统及修复版本

  • 银河麒麟高级服务器操作系统 V10 SP2

nodejs-10.21.0-7.p01.ky10

nodejs-debugsource-10.21.0-7.p01.ky10

nodejs-devel-10.21.0-7.p01.ky10

nodejs-docs-10.21.0-7.p01.ky10

nodejs-full-i18n-10.21.0-7.p01.ky10

nodejs-libs-10.21.0-7.p01.ky10

npm-6.14.4-1.10.21.0.7.p01.ky10

v8-devel-6.8.275.32-1.10.21.0.7.p01.ky10


3. 受影响的软件包

  • 银河麒麟高级服务器操作系统 V10 SP2

aarch64:nodejs、nodejs-debugsource、nodejs-devel、nodejs-docs、nodejs-full-i18n、nodejs-libs、npm、v8-devel

x86_64:nodejs、nodejs-debugsource、nodejs-devel、nodejs-docs、nodejs-full-i18n、nodejs-libs、npm、v8-devel


4. 修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:银河麒麟高级服务器操作系统 V10 SP2

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


5. 软件包下载地址

  • 银河麒麟高级服务器操作系统 V10 SP2

 nodejs aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-10.21.0-7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-debugsource-10.21.0-7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-devel-10.21.0-7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-docs-10.21.0-7.p01.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-full-i18n-10.21.0-7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/nodejs-libs-10.21.0-7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/npm-6.14.4-1.10.21.0.7.p01.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/v8-devel-6.8.275.32-1.10.21.0.7.p01.ky10.aarch64.rpm

 nodejs x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-10.21.0-7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-debugsource-10.21.0-7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-devel-10.21.0-7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-docs-10.21.0-7.p01.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-full-i18n-10.21.0-7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/nodejs-libs-10.21.0-7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/npm-6.14.4-1.10.21.0.7.p01.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/v8-devel-6.8.275.32-1.10.21.0.7.p01.ky10.x86_64.rpm

注:其他相关依赖包请到相同目录下载

 


上一篇: KYSA-202109-1004 下一篇: KYSA-202109-1006

试用

服务

动态

联系